diff -pruN 6.0.0-1/CMakeLists.txt 6.3.0-1/CMakeLists.txt
--- 6.0.0-1/CMakeLists.txt	2024-02-21 11:23:53.000000000 +0000
+++ 6.3.0-1/CMakeLists.txt	2024-05-31 13:24:23.000000000 +0000
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.0.0") # handled by release scripts
-set(KF_DEP_VERSION "6.0.0") # handled by release scripts
+set(KF_VERSION "6.3.0") # handled by release scripts
+set(KF_DEP_VERSION "6.3.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.0.0  NO_MODULE)
+find_package(ECM 6.3.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -52,7 +52,7 @@ cmake_dependent_option(BUILD_DESIGNERPLU
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.5
+    QT 6.7
     KF 5.240
 )
 
diff -pruN 6.0.0-1/debian/changelog 6.3.0-1/debian/changelog
--- 6.0.0-1/debian/changelog	2024-04-04 21:11:39.000000000 +0000
+++ 6.3.0-1/debian/changelog	2024-06-09 12:54:47.000000000 +0000
@@ -1,3 +1,18 @@
+kf6-kcompletion (6.3.0-1) experimental; urgency=medium
+
+  [ Aurélien COUDERC ]
+  * Mark xauth and xvfb build dependencies as not necessary with the nocheck
+    build profile.
+
+  [ Patrick Franz ]
+  * New upstream release (6.3.0).
+  * Bump Standards-Version to 4.7.0 (No changes needed).
+  * Update build-deps and deps with the info from cmake.
+  * Modernize building by using dh-sequence build-dependencies and
+    dropping manually specified addons and buildsystems for dh.
+
+ -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:54:47 +0200
+
 kf6-kcompletion (6.0.0-1) experimental; urgency=medium
 
   [ Patrick Franz ]
diff -pruN 6.0.0-1/debian/control 6.3.0-1/debian/control
--- 6.0.0-1/debian/control	2024-04-04 20:58:17.000000000 +0000
+++ 6.3.0-1/debian/control	2024-06-08 10:52:26.000000000 +0000
@@ -6,19 +6,20 @@ Uploaders: Aurélien COUDERC <coucouf@de
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.0.0~),
-               libkf6codecs-dev (>= 6.0.0~),
-               libkf6config-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.0.0~),
+               extra-cmake-modules (>= 6.3.0~),
+               libkf6codecs-dev (>= 6.3.0~),
+               libkf6config-dev (>= 6.3.0~),
+               libkf6widgetsaddons-dev (>= 6.3.0~),
                libxkbcommon-dev,
-               pkg-kde-tools (>= 0.17.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               xauth,
-               xvfb,
-Standards-Version: 4.6.2
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcompletion
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
@@ -37,10 +38,10 @@ Description: Widgets with advanced auto-
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.0.0~),
+Depends: libkf6codecs-dev (>= 6.3.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.0.0~),
-         libkf6widgetsaddons-dev (>= 6.0.0~),
+         libkf6config-dev (>= 6.3.0~),
+         libkf6widgetsaddons-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),
diff -pruN 6.0.0-1/debian/rules 6.3.0-1/debian/rules
--- 6.0.0-1/debian/rules	2024-04-04 20:54:08.000000000 +0000
+++ 6.3.0-1/debian/rules	2024-06-08 10:52:32.000000000 +0000
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with kf6,pkgkde_symbolshelper --buildsystem kf6 --without build_stamp
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON
diff -pruN 6.0.0-1/debian/upstream/signing-key.asc 6.3.0-1/debian/upstream/signing-key.asc
--- 6.0.0-1/debian/upstream/signing-key.asc	2024-04-04 20:46:08.000000000 +0000
+++ 6.3.0-1/debian/upstream/signing-key.asc	2024-06-07 22:16:46.000000000 +0000
@@ -80,3 +80,24 @@ RUqSlBSJqC4WqZmkB73i16MljvT0+4v2upmud4JK
 oS4=
 =yOFv
 -----END PGP PUBLIC KEY BLOCK-----
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+
+mDMEZZxtxBYJKwYBBAHaRw8BAQdAm/8PHszWuXJwUEeEwowgbi7fIeUDP/r9X14f
+Azm23ay0JU5pY29sYXMgRmVsbGEgPG5pY29sYXMuZmVsbGFAa2RlLm9yZz6IkwQT
+FgoAOxYhBJCpaKyoRTfMJ7meryyN9Yem1KrBBQJlnG8zAhsDBQsJCAcCAiICBhUK
+CQgLAgQWAgMBAh4HAheAAAoJECyN9Yem1KrBeP4BAIKpXwECsL4VtZtg2h6uUCZg
+e6oALUd6LYH6+DAM2cGzAP9nRCB06lOnWPiz3PccQDeGPGTl4fJXM63rXIKvxI8n
+C7QkTmljb2xhcyBGZWxsYSA8bmljb2xhcy5mZWxsYUBnbXguZGU+iJMEExYKADsW
+IQSQqWisqEU3zCe5nq8sjfWHptSqwQUCZZxtxAIbAwULCQgHAgIiAgYVCgkICwIE
+FgIDAQIeBwIXgAAKCRAsjfWHptSqwb/cAQDdwi3Ujltdb58uFEN9Wxvv2a/PmJJr
+v76mHWmXqia0UwD/fpQfF7W6Iv6tEoqE2VQjMdboRqumV2m9lDyB3OPwtg+4MwRl
+nG3EFgkrBgEEAdpHDwEBB0ABCziM0Ive6TFO3hWrLxpYFCti3xUL7fLLdJqIJYHc
+O4h4BBgWCgAgFiEEkKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGyAACgkQLI31
+h6bUqsFXfQD9G8xNZ6QbfOeP/ARYPH7xUcc2U4/kPjoP8+R/MRnshPMBANDv6T3y
+BxoNXQRYK65x7ghXOSZcQyBLfVuSQshzf/oBuDgEZZxtxBIKKwYBBAGXVQEFAQEH
+QAOAXtH8j+F4XstbXodRsjUSLSQx3doS6cssY8XiZWZ5AwEIB4h4BBgWCgAgFiEE
+kKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGwwACgkQLI31h6bUqsFomwD/Zy41
+I8jssyuukIKsRefmsvFeeMKEJgFp0WuZQaZnKEIBANbtyBSxCOkD+5GYm1cjG6nr
+yPRSi/2EuYie6axT6ZIN
+=Noyp
+-----END PGP PUBLIC KEY BLOCK-----
diff -pruN 6.0.0-1/metainfo.yaml 6.3.0-1/metainfo.yaml
--- 6.0.0-1/metainfo.yaml	2024-02-21 11:23:53.000000000 +0000
+++ 6.3.0-1/metainfo.yaml	2024-05-31 13:24:23.000000000 +0000
@@ -1,4 +1,3 @@
-maintainer: davidgiloliva
 description: Text completion helpers and widgets
 tier: 2
 type: functional
diff -pruN 6.0.0-1/poqm/eo/kcompletion6_qt.po 6.3.0-1/poqm/eo/kcompletion6_qt.po
--- 6.0.0-1/poqm/eo/kcompletion6_qt.po	2024-02-21 11:23:53.000000000 +0000
+++ 6.3.0-1/poqm/eo/kcompletion6_qt.po	2024-05-31 13:24:23.000000000 +0000
@@ -3,7 +3,7 @@
 # Wolfram Diestel <wolfram@steloj.de>, 1998.
 # Heiko Evermann <heiko@evermann.de>, 2002, 2003.
 # Matthias Peick <matthias@peick.de>, 2004, 2005.
-# Oliver Kellogg <okellogg@users.sourceforge.net>,2007.
+# Oliver Kellogg <olivermkellogg@gmail.com>,2007.
 # Cindy McKee <cfmckee@gmail.com>, 2007, 2008.
 # Axel Rousseau <axel@esperanto-jeunes.org>, 2009.
 # Michael Moroni <michael.moroni@mailoo.org>, 2012.
@@ -16,7 +16,7 @@ msgstr ""
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2014-03-23 01:50+0000\n"
 "PO-Revision-Date: 2023-01-05 05:00+0100\n"
-"Last-Translator: Oliver Kellogg <okellogg@users.sourceforge.net>\n"
+"Last-Translator: Oliver Kellogg <olivermkellogg@gmail.com>\n"
 "Language-Team: Esperanto <kde-i18n-eo@kde.org>\n"
 "Language: eo\n"
 "MIME-Version: 1.0\n"
diff -pruN 6.0.0-1/poqm/lt/kcompletion6_qt.po 6.3.0-1/poqm/lt/kcompletion6_qt.po
--- 6.0.0-1/poqm/lt/kcompletion6_qt.po	2024-02-21 11:23:53.000000000 +0000
+++ 6.3.0-1/poqm/lt/kcompletion6_qt.po	2024-05-31 13:24:23.000000000 +0000
@@ -12,7 +12,7 @@ msgstr ""
 "Project-Id-Version: kdelibs4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2014-03-23 01:50+0000\n"
-"PO-Revision-Date: 2019-06-30 19:36+0300\n"
+"PO-Revision-Date: 2024-05-16 21:58+0300\n"
 "Last-Translator: Moo\n"
 "Language-Team: Lithuanian <kde-i18n-lt@kde.org>\n"
 "Language: lt\n"
@@ -21,13 +21,10 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=(n==1 ? 0 : n%10>=2 && (n%100<10 || n"
 "%100>=20) ? 1 : n%10==0 || (n%100>10 && n%100<20) ? 2 : 3);\n"
-"X-Generator: Poedit 2.2.1\n"
+"X-Generator: Poedit 3.4.2\n"
 "X-Qt-Contexts: true\n"
 
 #: khistorycombobox.cpp:201
-#, fuzzy
-#| msgctxt "KHistoryComboBox|"
-#| msgid "Clear &History"
 msgctxt "KHistoryComboBox|@action:inmenu"
 msgid "Clear &History"
 msgstr "Išvalyti &istoriją"
@@ -38,12 +35,9 @@ msgid "1"
 msgstr "1"
 
 #: klineedit.cpp:910
-#, fuzzy
-#| msgctxt "KLineEdit|"
-#| msgid "C&lear"
 msgctxt "KLineEdit|@action:inmenu"
 msgid "C&lear"
-msgstr "Iš&valyti"
+msgstr "Išva&lyti"
 
 #: klineedit.cpp:924
 msgctxt "KLineEdit|@title:menu"
diff -pruN 6.0.0-1/poqm/pl/kcompletion6_qt.po 6.3.0-1/poqm/pl/kcompletion6_qt.po
--- 6.0.0-1/poqm/pl/kcompletion6_qt.po	2024-02-21 11:23:53.000000000 +0000
+++ 6.3.0-1/poqm/pl/kcompletion6_qt.po	2024-05-31 13:24:23.000000000 +0000
@@ -24,7 +24,6 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 20.12.1\n"
 "Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "|| n%100>=20) ? 1 : 2);\n"
 "X-Qt-Contexts: true\n"
diff -pruN 6.0.0-1/poqm/zh_CN/kcompletion6_qt.po 6.3.0-1/poqm/zh_CN/kcompletion6_qt.po
--- 6.0.0-1/poqm/zh_CN/kcompletion6_qt.po	2024-02-21 11:23:53.000000000 +0000
+++ 6.3.0-1/poqm/zh_CN/kcompletion6_qt.po	2024-05-31 13:24:23.000000000 +0000
@@ -1,7 +1,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: kdeorg\n"
-"PO-Revision-Date: 2024-02-05 11:37\n"
+"PO-Revision-Date: 2024-04-22 15:58\n"
 "Language-Team: Chinese Simplified\n"
 "Language: zh_CN\n"
 "MIME-Version: 1.0\n"
